#include <Adafruit_NeoPixel.h>

#define LEDPIN RGB_LED // connect the Data from the strip to this pin on the Arduino
#define NUMBER_PIEXELS 1 // the number of pixels in your LED strip
Adafruit_NeoPixel strip = Adafruit_NeoPixel(NUMBER_PIEXELS, LEDPIN, NEO_GRB + NEO_KHZ800);

const int buttonPin = 10;     // the number of the pushbutton pin
const int ledPin =  13;      // the number of the LED pin
int buttonState = 0;         // variable for reading the pushbutton status

//int ledPinRed = 11;
//int ledPinGrn = 12;

void setup() {
  pinMode(ledPin, OUTPUT);
  pinMode(buttonPin, INPUT);

  //pinMode(ledPinRed, OUTPUT);
  //pinMode(ledPinGrn, OUTPUT);

  strip.begin();
  SerialUSB.begin(9600);
}

void loop() {
  buttonState = digitalRead(buttonPin);
  if (buttonState == HIGH) {
    digitalWrite(ledPin, HIGH);
    
    //digitalWrite(ledPinGrn, LOW);
    //analogWrite(ledPinGrn, 150);
    //digitalWrite(ledPinRed, HIGH);

    strip.setPixelColor(0, strip.Color(80,80,150));
    strip.show();
    delay(100);
    
    strip.setPixelColor(0, strip.Color(80,150,80));
    strip.show();
    delay(100);
    
    strip.setPixelColor(0, strip.Color(150,80,80));
    strip.show();
    delay(100);
    
    //SerialUSB.println("Door Bell Rings");
    SerialUSB.println("1");
  } else {
    digitalWrite(ledPin, LOW);
    
    //digitalWrite(ledPinGrn, HIGH);
    //analogWrite(ledPinGrn, 255);
    //digitalWrite(ledPinRed, LOW);

    strip.setPixelColor(0, strip.Color(255,255,255));
    strip.show();
    
    //SerialUSB.println("No one");
    SerialUSB.println("0");
  }
  delay(500);
}
